com.tibco.n2.service.adapter.binding

## Interface ProcessManagerService

- All Known Implementing Classes:
    ProcessManagerService

      public interface ProcessManagerService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.n2.process.management.api.GeneralStatusType` | `cancelAdhocActivity(java.lang.String processID, java.lang.String activityName)`
    `java.lang.String` | `cancelProcessInstance(java.lang.String processId)` Manage process templates and process instances.
    `int` | `cancelProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName processQName)` Cancel all process instances for one or more process templates.
    `com.tibco.n2.process.management.api.PurgeStatus` | `checkPurgeTerminatedProcessInstances()` Checks the status of a purge job started with purgeTerminatedProcessInstances.
    `java.lang.String` | `clearMigrationRules(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)` Clear all currently set process instance migration rules for one or more process templates.
    `java.lang.String` | `createProcessInstance(com.tibco.n2.process.management.api.QualifiedProcessName processQName, java.lang.String operationName, com.tibco.n2.process.management.api.CreateProcessInstanceInputDocument.CreateProcessInstanceInput.ParameterMap parameterMap)` Create a process instance using a starter operation.
    `com.tibco.n2.process.management.api.ProcessIdDBInfo` | `decodeProcessId(java.lang.String processID)` Decodes the process (PVM) ID to its internal PVM database representation.
    `java.lang.String` | `dispatchSignal(com.tibco.n2.process.management.api.QualifiedProcessName processQName, java.lang.String operationName, com.tibco.n2.process.management.api.CreateProcessInstanceOptions options, com.tibco.n2.process.management.api.CreateProcessInstanceInputDocument.CreateProcessInstanceInput.ParameterMap parameterMap)`
    `com.tibco.n2.process.management.api.ActivityInstanceStatus` | `getActivityInstanceStatus(java.lang.String processId, java.lang.String activityName)` Get the status of an activity for a particular process instance.
    `com.tibco.n2.process.management.api.AvailableProcessInstanceVariablesDocument.AvailableProcessInstanceVariables` | `getAvailableProcessInstanceVariables(java.lang.String processID, java.lang.String variableName)` Get the details for all variables (or for a specific variable) that are available to the failed activity for a particular halted process instance.
    `com.tibco.n2.process.management.api.MigrationPointModuleType[]` | `getMigrationPoints(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)` List the permissible process instance migration points for one or more process templates.
    `java.lang.Object` | `getParameterValue(java.lang.String processId, java.lang.String parameterName)` Get the value of a specific parameter for a particular process instance.
    `com.tibco.n2.process.management.api.ProcessInstance` | `getProcessInstanceStatus(java.lang.String processId)` Get the status of a particular process instance.
    `java.lang.String` | `getProcessInstanceSummary(java.lang.String processId)` Get a full summary report on a specific process instance.
    `com.tibco.n2.process.management.api.OperationInfo` | `getStarterOperationInfo(com.tibco.n2.process.management.api.QualifiedProcessName processQName, java.lang.String operationName)` List the parameter details for a particular starter operation.
    `java.lang.String` | `ignoreProcessInstance(java.lang.String processID)` Resume execution of a process instance that is in a HALTED state as a result of an activity failure.
    `int` | `ignoreProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)` Ignore failed activities and resume the execution of all HALTED process instances for one or more process templates.
    `boolean` | `isSetMigrationRule(com.tibco.n2.process.management.api.QualifiedTaskName qualifiedTaskName)` Test whether any process instance migration rules are set for a particular qualified task name.
    `com.tibco.n2.process.management.api.AdhocActivityTypes` | `listAdhocActivities(java.lang.String processID, java.lang.String globalDataRef)`
    `com.tibco.n2.process.management.api.MigrationRuleModuleTypeList[]` | `listMigrationRules(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)` List the process instance migration rules that are set for one or more process templates.
    `com.tibco.n2.process.management.api.InstanceAttribute[]` | `listProcessInstanceAttributes(com.tibco.n2.process.management.api.QualifiedProcessName getProcessQName, com.tibco.n2.process.management.api.AttributeType.Enum attributeType)` List process instance attributes for one or more process templates.
    `com.tibco.n2.process.management.api.ProcessInstance[]` | `listProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName processQName)` List process instances for one or more process templates.
    `com.tibco.n2.process.management.api.TemplateAttribute[]` | `listProcessTemplateAttributes(com.tibco.n2.process.management.api.AttributeType.Enum attributeType)` List process template attributes.
    `com.tibco.n2.process.management.api.BasicProcessTemplate[]` | `listProcessTemplates(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)` List process templates that match the input criteria.
    `com.tibco.n2.process.management.api.InstanceAttribute[]` | `listSetofProcessInstanceAttributes(com.tibco.n2.process.management.api.QualifiedProcessNames getProcessQNames, com.tibco.n2.process.management.api.AttributeType.Enum attributeType)` List process instance attributes for a set of process templates.
    `com.tibco.n2.process.management.api.StarterOperation[]` | `listStarterOperations(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)` List available starter operations for one or more process templates.
    `int` | `purgeProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)` PRIVATE API - Reserved for internal use
    `com.tibco.n2.process.management.api.PurgeStatus` | `purgeTerminatedProcessInstances(com.tibco.n2.process.management.api.PurgeOptions options)` Perform the purge immediately on the process instances with terminal states that correspond to one or more of the specified tagged process templates.
    `com.tibco.n2.process.management.api.QueryApplicationsResponseType` | `queryApplications(com.tibco.n2.process.management.api.Applications applications)` Return all process template(s) belonging to the specified set of application(s)
    `java.lang.String` | `queryDone(int pagingId)` Release all resources associated with a particular paged result set.
    `com.tibco.n2.process.management.api.Page` | `queryFirstPage(int pagingId)` List the first page of data from the result set of a particular query operation.
    `com.tibco.n2.process.management.api.QueryProcessInstancesOutputDocument.QueryProcessInstancesOutput` | `queryHaltedProcessInstances(java.lang.String query, int pageSize, com.tibco.n2.process.management.api.TemplateAttributes parameters)` List halted process instances that match certain criteria.
    `com.tibco.n2.process.management.api.Page` | `queryLastPage(int pagingId)` List the last page of data from the result set of a particular query operation.
    `com.tibco.n2.process.management.api.Page` | `queryNextPage(int pagingId)` List the next page of data from the result set of a particular query operation.
    `com.tibco.n2.process.management.api.Page` | `queryPreviousPage(int pagingId)` List the previous page of data from the result set of a particular query operation.
    `int` | `queryProcessInstanceCount(java.lang.String query)` Count the number of process instances that match certain criteria.
    `int` | `queryProcessInstanceCountAlt(java.lang.String query)` Count the number of process instances that match certain criteria.
    `int` | `queryProcessInstanceCountAlt(java.lang.String query, com.tibco.n2.process.management.api.StateModeType.Enum statusMode)` Count the number of process instances that match certain criteria.
    `com.tibco.n2.process.management.api.QueryProcessInstancesOutputDocument.QueryProcessInstancesOutput` | `queryProcessInstances(java.lang.String query, int pageSize, com.tibco.n2.process.management.api.TemplateAttributes parameters)` List process instances that match certain criteria.
    `com.tibco.n2.process.management.api.QueryProcessInstancesOutputDocument.QueryProcessInstancesOutput` | `queryProcessInstances(java.lang.String query, int pageSize, com.tibco.n2.process.management.api.TemplateAttributes parameters, com.tibco.n2.process.management.api.StateModeType.Enum statusMode)` List process instances that match certain criteria.
    `com.tibco.n2.process.management.api.QueryProcessInstancesOutputDocument.QueryProcessInstancesOutput` | `queryProcessInstancesAlt(java.lang.String select, java.lang.String where, java.lang.String orderBy, int pageSize, com.tibco.n2.process.management.api.TemplateAttributes attributeMap)` List process instances that match certain criteria.
    `com.tibco.n2.process.management.api.QueryProcessInstancesOutputDocument.QueryProcessInstancesOutput` | `queryProcessInstancesAlt(java.lang.String select, java.lang.String where, java.lang.String orderBy, int pageSize, com.tibco.n2.process.management.api.TemplateAttributes attributeMap, com.tibco.n2.process.management.api.StateModeType.Enum statusMode)` List process instances that match certain criteria.
    `int` | `queryProcessTemplateCount(java.lang.String query)` Count the number of process templates that match certain criteria.
    `com.tibco.n2.process.management.api.QueryProcessTemplatesOutputDocument.QueryProcessTemplatesOutput` | `queryProcessTemplates(java.lang.String query, int pageSize)` List process templates that match certain criteria.
    `com.tibco.n2.process.management.api.QueryProcessTemplatesOutputDocument.QueryProcessTemplatesOutput` | `queryProcessTemplatesAlt(java.lang.String select, java.lang.String where, java.lang.String orderBy, int pageSize)` List process templates that match certain criteria.
    `com.tibco.n2.process.management.api.GeneralStatusType` | `replaceUser(com.tibco.n2.process.management.api.ProcessInstancesType processInstances)`
    `com.tibco.n2.process.management.api.GeneralStatusType` | `replaceUser(java.lang.String user)`
    `com.tibco.n2.process.management.api.GeneralStatusType` | `replaceUser(java.lang.String user, com.tibco.n2.process.management.api.ProcessInstancesType processInstances)`
    `java.lang.String` | `resumeHaltedProcessInstance(java.lang.String processId)` Resume a process instance that is in a HALTED state as a result of an activity failure.
    `int` | `resumeHaltedProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)` Resumes all halted process instances for one or more process templates.
    `java.lang.String` | `resumeProcessInstance(java.lang.String processId)` Resume a previously suspended process instance.
    `int` | `resumeProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)` Resume all process instances for one or more process templates.
    `java.lang.String` | `retryProcessInstance(java.lang.String processID)` Retry a process instance that is in a HALTED state as a result of an activity failure.
    `int` | `retryProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)` Retry all halted process instances for one or more process templates.
    `com.tibco.n2.process.management.api.GeneralStatusType` | `runAdhocActivity(java.lang.String processID, java.lang.String activityName)`
    `com.tibco.n2.process.management.api.PurgeStatus` | `saveTerminatedProcessInstances(boolean willSave)` Allow process template(s) to be tagged as one to be auto purged or as one NOT to be auto purged.
    `com.tibco.n2.process.management.api.PurgeStatus` | `saveTerminatedProcessInstances(boolean willSave, org.apache.xmlbeans.GDuration saveDuration, com.tibco.n2.process.management.api.ProcessTemplatesType processTemplates, com.tibco.n2.process.management.api.Applications applications)` Allow process template(s) to be tagged as one to be auto purged or as one NOT to be auto purged.
    `java.lang.String` | `setAvailableProcessInstanceVariables(java.lang.String processID, com.tibco.n2.process.management.api.SetAvailableProcessInstanceVariablesInputDocument.SetAvailableProcessInstanceVariablesInput.VariableMap variableMap)` Set the value of one or more variables that are available to the failed activity for a particular halted process instance.
    `java.lang.String` | `setDeadlineExpiration(java.lang.String activityID, java.util.Calendar expirationTime)` Set/Change the deadline value for an activity.
    `java.lang.String` | `setMigrationRules(com.tibco.n2.process.management.api.MigrationRuleModuleType[] migrationRules)` Set one or more process instance migration rules.
    `java.lang.String` | `setPriority(java.lang.String processId, short priority)` Change the scheduling priority for execution of a process instance.
    `com.tibco.n2.process.management.api.PurgeStatus` | `stopPurgeTerminatedProcessInstances()` Stops the purge job started with purgeTerminatedProcessInstances.
    `java.lang.String` | `suspendProcessInstance(java.lang.String processId)` Suspend a process instance from being scheduled for execution.
    `int` | `suspendProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)` Suspend all process instances for one or more process templates from being scheduled for execution.
    `java.lang.String` | `unsetMigrationRules(com.tibco.n2.process.management.api.MigrationRuleModuleType[] migrationRules)` Unset one or more currently set process instance migration rules.

- - ### Method Detail

    - #### cancelProcessInstance

          java.lang.String cancelProcessInstance(java.lang.String processId)
                                          throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                 com.tibco.n2.process.management.services.IllegalStateFault,
                                                 com.tibco.n2.process.management.services.OperationFailedFault

      Manage process templates and process instances.
      Parameters:
        `processId` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### cancelProcessInstances

          int cancelProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName processQName)
                              throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                     com.tibco.n2.process.management.services.IllegalStateFault,
                                     com.tibco.n2.process.management.services.OperationFailedFault

      Cancel all process instances for one or more process templates.
      Parameters:
        `processQName` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### createProcessInstance

          java.lang.String createProcessInstance(com.tibco.n2.process.management.api.QualifiedProcessName processQName,
                                                 java.lang.String operationName,
                                                 com.tibco.n2.process.management.api.CreateProcessInstanceInputDocument.CreateProcessInstanceInput.ParameterMap parameterMap)
                                          throws com.tibco.n2.process.management.services.OperationFailedFault

      Create a process instance using a starter operation. (See also: listStarterOperations and getStarterOperationInfo.)
      Parameters:
        `processQName` -
        `operationName` -
        `parameterMap` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### getActivityInstanceStatus

          com.tibco.n2.process.management.api.ActivityInstanceStatus getActivityInstanceStatus(java.lang.String processId,
                                                                                               java.lang.String activityName)
                                                                                        throws com.tibco.n2.process.management.services.IllegalStateFault,
                                                                                               com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                               com.tibco.n2.process.management.services.OperationFailedFault

      Get the status of an activity for a particular process instance.
      Parameters:
        `processId` -
        `activityName` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### getParameterValue

          java.lang.Object getParameterValue(java.lang.String processId,
                                             java.lang.String parameterName)
                                      throws com.tibco.n2.process.management.services.IllegalArgumentFault

      Get the value of a specific parameter for a particular process instance.
      Parameters:
        `processId` -
        `parameterName` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`

    - #### getProcessInstanceStatus

          com.tibco.n2.process.management.api.ProcessInstance getProcessInstanceStatus(java.lang.String processId)
                                                                                throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                       com.tibco.n2.process.management.services.OperationFailedFault

      Get the status of a particular process instance.
      Parameters:
        `processId` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### getProcessInstanceSummary

          java.lang.String getProcessInstanceSummary(java.lang.String processId)
                                              throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                     com.tibco.n2.process.management.services.OperationFailedFault

      Get a full summary report on a specific process instance. (This operation is most useful for debugging.)
      Parameters:
        `processId` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### getStarterOperationInfo

          com.tibco.n2.process.management.api.OperationInfo getStarterOperationInfo(com.tibco.n2.process.management.api.QualifiedProcessName processQName,
                                                                                    java.lang.String operationName)
                                                                             throws com.tibco.n2.process.management.services.OperationFailedFault

      List the parameter details for a particular starter operation. (See also: listStarterOperations and createProcessInstance.)
      Parameters:
        `processQName` -
        `operationName` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### listProcessInstanceAttributes

          com.tibco.n2.process.management.api.InstanceAttribute[] listProcessInstanceAttributes(com.tibco.n2.process.management.api.QualifiedProcessName getProcessQName,
                                                                                                com.tibco.n2.process.management.api.AttributeType.Enum attributeType)
                                                                                         throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                com.tibco.n2.process.management.services.OperationFailedFault

      List process instance attributes for one or more process templates. (These attributes can be used in process instance queries - see queryProcessInstances.)
      Parameters:
        `getProcessQName` -
        `attributeType` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### listSetofProcessInstanceAttributes

          com.tibco.n2.process.management.api.InstanceAttribute[] listSetofProcessInstanceAttributes(com.tibco.n2.process.management.api.QualifiedProcessNames getProcessQNames,
                                                                                                     com.tibco.n2.process.management.api.AttributeType.Enum attributeType)
                                                                                              throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                     com.tibco.n2.process.management.services.OperationFailedFault

      List process instance attributes for a set of process templates. (These attributes can be used in process instance queries - see queryProcessInstances.)
      Parameters:
        `getProcessQNames` -
        `attributeType` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### listProcessInstances

          com.tibco.n2.process.management.api.ProcessInstance[] listProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName processQName)
                                                                              throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                     com.tibco.n2.process.management.services.OperationFailedFault

      List process instances for one or more process templates. This is a convenience operation: queryProcessInstances can return the same information, but requires more input.
      Parameters:
        `processQName` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### listProcessTemplateAttributes

          com.tibco.n2.process.management.api.TemplateAttribute[] listProcessTemplateAttributes(com.tibco.n2.process.management.api.AttributeType.Enum attributeType)
                                                                                         throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                com.tibco.n2.process.management.services.OperationFailedFault

      List process template attributes. These attributes, which are pre-defined variables and are the same for all process templates, can be used in query for process templates - see queryProcessTemplates
      Parameters:
        `type` - - 0=all attributes (default), 1=filterable, 2=sortable, 3=displayable
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### listProcessTemplates

          com.tibco.n2.process.management.api.BasicProcessTemplate[] listProcessTemplates(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)
                                                                                   throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                          com.tibco.n2.process.management.services.OperationFailedFault

      List process templates that match the input criteria. This is a convenience operation: queryProcessTemplates can return the same information, but requires more input.
      Parameters:
        `qualifiedProcessName` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### listStarterOperations

          com.tibco.n2.process.management.api.StarterOperation[] listStarterOperations(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)
                                                                                throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                       com.tibco.n2.process.management.services.OperationFailedFault

      List available starter operations for one or more process templates. See also createProcessInstance.
      Parameters:
        `qualifiedProcessName` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### purgeProcessInstances

          int purgeProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)
                             throws com.tibco.n2.process.management.services.OperationFailedFault

      PRIVATE API - Reserved for internal use
      Parameters:
        `qualifiedProcessName` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryDone

          java.lang.String queryDone(int pagingId)
                              throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                     com.tibco.n2.process.management.services.OperationFailedFault

      Release all resources associated with a particular paged result set. An application must call this operation whenever it has finished with a particular paged result set.
      Parameters:
        `pagingId` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryNextPage

          com.tibco.n2.process.management.api.Page queryNextPage(int pagingId)
                                                          throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                 com.tibco.n2.process.management.services.OperationFailedFault

      List the next page of data from the result set of a particular query operation.
      Parameters:
        `pagingId` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryPreviousPage

          com.tibco.n2.process.management.api.Page queryPreviousPage(int pagingId)
                                                              throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                     com.tibco.n2.process.management.services.OperationFailedFault

      List the previous page of data from the result set of a particular query operation.
      Parameters:
        `pagingId` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryLastPage

          com.tibco.n2.process.management.api.Page queryLastPage(int pagingId)
                                                          throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                 com.tibco.n2.process.management.services.OperationFailedFault

      List the last page of data from the result set of a particular query operation.
      Parameters:
        `pagingId` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryFirstPage

          com.tibco.n2.process.management.api.Page queryFirstPage(int pagingId)
                                                           throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                  com.tibco.n2.process.management.services.OperationFailedFault

      List the first page of data from the result set of a particular query operation.
      Parameters:
        `pagingId` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryProcessInstanceCount

          int queryProcessInstanceCount(java.lang.String query)
                                 throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                        com.tibco.n2.process.management.services.OperationFailedFault

      Count the number of process instances that match certain criteria.
      Parameters:
        `query` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryProcessInstances

          com.tibco.n2.process.management.api.QueryProcessInstancesOutputDocument.QueryProcessInstancesOutput queryProcessInstances(java.lang.String query,
                                                                                                                                    int pageSize,
                                                                                                                                    com.tibco.n2.process.management.api.TemplateAttributes parameters)
                                                                                                                             throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                                                    com.tibco.n2.process.management.services.OperationFailedFault

      List process instances that match certain criteria.
      Parameters:
        `query` -
        `pageSize` -
        `parameters` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryProcessInstances

          com.tibco.n2.process.management.api.QueryProcessInstancesOutputDocument.QueryProcessInstancesOutput queryProcessInstances(java.lang.String query,
                                                                                                                                    int pageSize,
                                                                                                                                    com.tibco.n2.process.management.api.TemplateAttributes parameters,
                                                                                                                                    com.tibco.n2.process.management.api.StateModeType.Enum statusMode)
                                                                                                                             throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                                                    com.tibco.n2.process.management.services.OperationFailedFault

      List process instances that match certain criteria.
      Parameters:
        `query` -
        `pageSize` -
        `parameters` -
        `statusMode` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryProcessInstancesAlt

          com.tibco.n2.process.management.api.QueryProcessInstancesOutputDocument.QueryProcessInstancesOutput queryProcessInstancesAlt(java.lang.String select,
                                                                                                                                       java.lang.String where,
                                                                                                                                       java.lang.String orderBy,
                                                                                                                                       int pageSize,
                                                                                                                                       com.tibco.n2.process.management.api.TemplateAttributes attributeMap)
                                                                                                                                throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                                                       com.tibco.n2.process.management.services.OperationFailedFault

      List process instances that match certain criteria. (This is a variation of queryProcessInstances in which the query string is divided into its constituent parts.)
      Parameters:
        `select` -
        `where` -
        `orderBy` -
        `pageSize` -
        `attributeMap` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryProcessInstancesAlt

          com.tibco.n2.process.management.api.QueryProcessInstancesOutputDocument.QueryProcessInstancesOutput queryProcessInstancesAlt(java.lang.String select,
                                                                                                                                       java.lang.String where,
                                                                                                                                       java.lang.String orderBy,
                                                                                                                                       int pageSize,
                                                                                                                                       com.tibco.n2.process.management.api.TemplateAttributes attributeMap,
                                                                                                                                       com.tibco.n2.process.management.api.StateModeType.Enum statusMode)
                                                                                                                                throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                                                       com.tibco.n2.process.management.services.OperationFailedFault

      List process instances that match certain criteria. (This is a variation of queryProcessInstances in which the query string is divided into its constituent parts.)
      Parameters:
        `select` -
        `where` -
        `orderBy` -
        `pageSize` -
        `attributeMap` -
        `statusMode` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryProcessTemplateCount

          int queryProcessTemplateCount(java.lang.String query)
                                 throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                        com.tibco.n2.process.management.services.OperationFailedFault

      Count the number of process templates that match certain criteria.
      Parameters:
        `query` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryProcessTemplates

          com.tibco.n2.process.management.api.QueryProcessTemplatesOutputDocument.QueryProcessTemplatesOutput queryProcessTemplates(java.lang.String query,
                                                                                                                                    int pageSize)
                                                                                                                             throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                                                    com.tibco.n2.process.management.services.OperationFailedFault

      List process templates that match certain criteria.
      Parameters:
        `query` -
        `pageSize` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryProcessTemplatesAlt

          com.tibco.n2.process.management.api.QueryProcessTemplatesOutputDocument.QueryProcessTemplatesOutput queryProcessTemplatesAlt(java.lang.String select,
                                                                                                                                       java.lang.String where,
                                                                                                                                       java.lang.String orderBy,
                                                                                                                                       int pageSize)
                                                                                                                                throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                                                       com.tibco.n2.process.management.services.OperationFailedFault

      List process templates that match certain criteria. (This is a variation of queryProcessTemplates in which the query string is divided into its constituent parts.)
      Parameters:
        `select` -
        `where` -
        `orderBy` -
        `pageSize` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### resumeHaltedProcessInstance

          java.lang.String resumeHaltedProcessInstance(java.lang.String processId)
                                                throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                       com.tibco.n2.process.management.services.IllegalStateFault,
                                                       com.tibco.n2.process.management.services.OperationFailedFault

      Resume a process instance that is in a HALTED state as a result of an activity failure.
      Parameters:
        `processId` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### resumeHaltedProcessInstances

          int resumeHaltedProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)
                                    throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                           com.tibco.n2.process.management.services.IllegalStateFault,
                                           com.tibco.n2.process.management.services.OperationFailedFault

      Resumes all halted process instances for one or more process templates.
      Parameters:
        `qualifiedProcessName` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### resumeProcessInstance

          java.lang.String resumeProcessInstance(java.lang.String processId)
                                          throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                 com.tibco.n2.process.management.services.IllegalStateFault,
                                                 com.tibco.n2.process.management.services.OperationFailedFault

      Resume a previously suspended process instance. See also: suspendProcessInstance and suspendProcessInstances.
      Parameters:
        `processId` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### resumeProcessInstances

          int resumeProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)
                              throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                     com.tibco.n2.process.management.services.IllegalStateFault,
                                     com.tibco.n2.process.management.services.OperationFailedFault

      Resume all process instances for one or more process templates. See also: suspendProcessInstance and suspendProcessInstances.
      Parameters:
        `qualifiedProcessName` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### suspendProcessInstance

          java.lang.String suspendProcessInstance(java.lang.String processId)
                                           throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                  com.tibco.n2.process.management.services.IllegalStateFault,
                                                  com.tibco.n2.process.management.services.OperationFailedFault

      Suspend a process instance from being scheduled for execution. See also resumeProcessInstance and resumeProcessInstances.
      Parameters:
        `processId` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### suspendProcessInstances

          int suspendProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)
                               throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                      com.tibco.n2.process.management.services.IllegalStateFault,
                                      com.tibco.n2.process.management.services.OperationFailedFault

      Suspend all process instances for one or more process templates from being scheduled for execution. See also: resumeProcessInstance and resumeProcessInstances.
      Parameters:
        `qualifiedProcessName` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### setPriority

          java.lang.String setPriority(java.lang.String processId,
                                       short priority)
                                throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                       com.tibco.n2.process.management.services.OperationFailedFault

      Change the scheduling priority for execution of a process instance.
      Parameters:
        `processId` -
        `priority` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### setDeadlineExpiration

          java.lang.String setDeadlineExpiration(java.lang.String activityID,
                                                 java.util.Calendar expirationTime)
                                          throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                 com.tibco.n2.process.management.services.OperationFailedFault

      Set/Change the deadline value for an activity.
      Parameters:
        `activityID` -
        `expirationTime` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### getMigrationPoints

          com.tibco.n2.process.management.api.MigrationPointModuleType[] getMigrationPoints(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)
                                                                                     throws com.tibco.n2.process.management.services.IllegalStateFault,
                                                                                            com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                            com.tibco.n2.process.management.services.OperationFailedFault

      List the permissible process instance migration points for one or more process templates. (Migration points are the points in the process from which a process instance can be migrated to a different version.)
      Parameters:
        `qualifiedProcessName` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### setMigrationRules

          java.lang.String setMigrationRules(com.tibco.n2.process.management.api.MigrationRuleModuleType[] migrationRules)
                                      throws com.tibco.n2.process.management.services.IllegalStateFault,
                                             com.tibco.n2.process.management.services.IllegalArgumentFault,
                                             com.tibco.n2.process.management.services.OperationFailedFault

      Set one or more process instance migration rules. (Each migration rule consists of a unique set of module name, module version from which to migrate, process template name, task name from which to migrate, and module version to which to migrate.)
      Parameters:
        `migrationRules` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### listMigrationRules

          com.tibco.n2.process.management.api.MigrationRuleModuleTypeList[] listMigrationRules(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)
                                                                                        throws com.tibco.n2.process.management.services.IllegalStateFault,
                                                                                               com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                               com.tibco.n2.process.management.services.OperationFailedFault

      List the process instance migration rules that are set for one or more process templates.
      Parameters:
        `qualifiedProcessName` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### isSetMigrationRule

          boolean isSetMigrationRule(com.tibco.n2.process.management.api.QualifiedTaskName qualifiedTaskName)
                              throws com.tibco.n2.process.management.services.IllegalStateFault,
                                     com.tibco.n2.process.management.services.IllegalArgumentFault,
                                     com.tibco.n2.process.management.services.OperationFailedFault

      Test whether any process instance migration rules are set for a particular qualified task name.
      Parameters:
        `qualifiedTaskName` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### unsetMigrationRules

          java.lang.String unsetMigrationRules(com.tibco.n2.process.management.api.MigrationRuleModuleType[] migrationRules)
                                        throws com.tibco.n2.process.management.services.IllegalStateFault,
                                               com.tibco.n2.process.management.services.IllegalArgumentFault,
                                               com.tibco.n2.process.management.services.OperationFailedFault

      Unset one or more currently set process instance migration rules.
      Parameters:
        `migrationRules` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### clearMigrationRules

          java.lang.String clearMigrationRules(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)
                                        throws com.tibco.n2.process.management.services.IllegalStateFault,
                                               com.tibco.n2.process.management.services.IllegalArgumentFault,
                                               com.tibco.n2.process.management.services.OperationFailedFault

      Clear all currently set process instance migration rules for one or more process templates.
      Parameters:
        `qualifiedProcessName` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### retryProcessInstance

          java.lang.String retryProcessInstance(java.lang.String processID)
                                         throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                com.tibco.n2.process.management.services.IllegalStateFault,
                                                com.tibco.n2.process.management.services.OperationFailedFault

      Retry a process instance that is in a HALTED state as a result of an activity failure.
      Parameters:
        `processID` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### retryProcessInstances

          int retryProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)
                             throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                    com.tibco.n2.process.management.services.IllegalStateFault,
                                    com.tibco.n2.process.management.services.OperationFailedFault

      Retry all halted process instances for one or more process templates.
      Parameters:
        `qualifiedProcessName` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### ignoreProcessInstance

          java.lang.String ignoreProcessInstance(java.lang.String processID)
                                          throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                 com.tibco.n2.process.management.services.IllegalStateFault,
                                                 com.tibco.n2.process.management.services.OperationFailedFault

      Resume execution of a process instance that is in a HALTED state as a result of an activity failure. Execution continues as if the failed activity had successfully completed.
      Parameters:
        `processID` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### ignoreProcessInstances

          int ignoreProcessInstances(com.tibco.n2.process.management.api.QualifiedProcessName qualifiedProcessName)
                              throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                     com.tibco.n2.process.management.services.IllegalStateFault,
                                     com.tibco.n2.process.management.services.OperationFailedFault

      Ignore failed activities and resume the execution of all HALTED process instances for one or more process templates. Execution continues as if the failed activities had successfully completed.
      Parameters:
        `qualifiedProcessName` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### decodeProcessId

          com.tibco.n2.process.management.api.ProcessIdDBInfo decodeProcessId(java.lang.String processID)
                                                                       throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                              com.tibco.n2.process.management.services.IllegalStateFault,
                                                                              com.tibco.n2.process.management.services.OperationFailedFault

      Decodes the process (PVM) ID to its internal PVM database representation.
      Parameters:
        `processID` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryHaltedProcessInstances

          com.tibco.n2.process.management.api.QueryProcessInstancesOutputDocument.QueryProcessInstancesOutput queryHaltedProcessInstances(java.lang.String query,
                                                                                                                                          int pageSize,
                                                                                                                                          com.tibco.n2.process.management.api.TemplateAttributes parameters)
                                                                                                                                   throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                                                          com.tibco.n2.process.management.services.OperationFailedFault

      List halted process instances that match certain criteria.
      Parameters:
        `query` -
        `pageSize` -
        `parameters` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### getAvailableProcessInstanceVariables

          com.tibco.n2.process.management.api.AvailableProcessInstanceVariablesDocument.AvailableProcessInstanceVariables getAvailableProcessInstanceVariables(java.lang.String processID,
                                                                                                                                                               java.lang.String variableName)
                                                                                                                                                        throws com.tibco.n2.process.management.services.IllegalStateFault,
                                                                                                                                                               com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                                                                                               com.tibco.n2.process.management.services.OperationFailedFault

      Get the details for all variables (or for a specific variable) that are available to the failed activity for a particular halted process instance.
      Parameters:
        `getAvailableProcessInstanceVariablesInput` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### setAvailableProcessInstanceVariables

          java.lang.String setAvailableProcessInstanceVariables(java.lang.String processID,
                                                                com.tibco.n2.process.management.api.SetAvailableProcessInstanceVariablesInputDocument.SetAvailableProcessInstanceVariablesInput.VariableMap variableMap)
                                                         throws com.tibco.n2.process.management.services.IllegalStateFault,
                                                                com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                com.tibco.n2.process.management.services.OperationFailedFault

      Set the value of one or more variables that are available to the failed activity for a particular halted process instance.
      Parameters:
        `setAvailableProcessInstanceVariablesInput` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalStateFault`
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### checkPurgeTerminatedProcessInstances

          com.tibco.n2.process.management.api.PurgeStatus checkPurgeTerminatedProcessInstances()
                                                                                        throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                               com.tibco.n2.process.management.services.OperationFailedFault

      Checks the status of a purge job started with purgeTerminatedProcessInstances.
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### stopPurgeTerminatedProcessInstances

          com.tibco.n2.process.management.api.PurgeStatus stopPurgeTerminatedProcessInstances()
                                                                                       throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                              com.tibco.n2.process.management.services.OperationFailedFault

      Stops the purge job started with purgeTerminatedProcessInstances.
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### saveTerminatedProcessInstances

          com.tibco.n2.process.management.api.PurgeStatus saveTerminatedProcessInstances(boolean willSave,
                                                                                         org.apache.xmlbeans.GDuration saveDuration,
                                                                                         com.tibco.n2.process.management.api.ProcessTemplatesType processTemplates,
                                                                                         com.tibco.n2.process.management.api.Applications applications)
                                                                                  throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                         com.tibco.n2.process.management.services.OperationFailedFault

      Allow process template(s) to be tagged as one to be auto purged or as one NOT to be auto purged. If process template(s) are tagged to be auto-purge, it means the corresponding process instances are eligible to be purge when they reach a terminal state.
      Parameters:
        `willSave` -
        `saveDuration` -
        `processTemplates` -
        `applications` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### saveTerminatedProcessInstances

          com.tibco.n2.process.management.api.PurgeStatus saveTerminatedProcessInstances(boolean willSave)
                                                                                  throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                         com.tibco.n2.process.management.services.OperationFailedFault

      Allow process template(s) to be tagged as one to be auto purged or as one NOT to be auto purged. If process template(s) are tagged to be auto-purge, it means the corresponding process instances are eligible to be purge when they reach a terminal state.
      Parameters:
        `willSave` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryApplications

          com.tibco.n2.process.management.api.QueryApplicationsResponseType queryApplications(com.tibco.n2.process.management.api.Applications applications)
                                                                                       throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                              com.tibco.n2.process.management.services.OperationFailedFault

      Return all process template(s) belonging to the specified set of application(s)
      Parameters:
        `applications` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### purgeTerminatedProcessInstances

          com.tibco.n2.process.management.api.PurgeStatus purgeTerminatedProcessInstances(com.tibco.n2.process.management.api.PurgeOptions options)
                                                                                   throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                          com.tibco.n2.process.management.services.OperationFailedFault

      Perform the purge immediately on the process instances with terminal states that correspond to one or more of the specified tagged process templates. There can only be one outstanding abhoc purge job at one time.
      Parameters:
        `options` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryProcessInstanceCountAlt

          int queryProcessInstanceCountAlt(java.lang.String query)
                                    throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                           com.tibco.n2.process.management.services.OperationFailedFault

      Count the number of process instances that match certain criteria.
      Parameters:
        `query` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### queryProcessInstanceCountAlt

          int queryProcessInstanceCountAlt(java.lang.String query,
                                           com.tibco.n2.process.management.api.StateModeType.Enum statusMode)
                                    throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                           com.tibco.n2.process.management.services.OperationFailedFault

      Count the number of process instances that match certain criteria.
      Parameters:
        `query` -
        `statusMode` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### replaceUser

          com.tibco.n2.process.management.api.GeneralStatusType replaceUser(java.lang.String user,
                                                                            com.tibco.n2.process.management.api.ProcessInstancesType processInstances)
                                                                     throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                            com.tibco.n2.process.management.services.OperationFailedFault

      Parameters:
        `user` -
        `processInstances` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### replaceUser

          com.tibco.n2.process.management.api.GeneralStatusType replaceUser(java.lang.String user)
                                                                     throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                            com.tibco.n2.process.management.services.OperationFailedFault

      Parameters:
        `user` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### replaceUser

          com.tibco.n2.process.management.api.GeneralStatusType replaceUser(com.tibco.n2.process.management.api.ProcessInstancesType processInstances)
                                                                     throws com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                            com.tibco.n2.process.management.services.OperationFailedFault

      Parameters:
        `processInstances` -
      Returns:
      Throws:
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### listAdhocActivities

          com.tibco.n2.process.management.api.AdhocActivityTypes listAdhocActivities(java.lang.String processID,
                                                                                     java.lang.String globalDataRef)
                                                                              throws java.rmi.RemoteException,
                                                                                     com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                     com.tibco.n2.process.management.services.OperationFailedFault

      Throws:
        `java.rmi.RemoteException`
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### runAdhocActivity

          com.tibco.n2.process.management.api.GeneralStatusType runAdhocActivity(java.lang.String processID,
                                                                                 java.lang.String activityName)
                                                                          throws java.rmi.RemoteException,
                                                                                 com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                 com.tibco.n2.process.management.services.OperationFailedFault

      Throws:
        `java.rmi.RemoteException`
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### cancelAdhocActivity

          com.tibco.n2.process.management.api.GeneralStatusType cancelAdhocActivity(java.lang.String processID,
                                                                                    java.lang.String activityName)
                                                                             throws java.rmi.RemoteException,
                                                                                    com.tibco.n2.process.management.services.IllegalArgumentFault,
                                                                                    com.tibco.n2.process.management.services.OperationFailedFault

      Throws:
        `java.rmi.RemoteException`
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

    - #### dispatchSignal

          java.lang.String dispatchSignal(com.tibco.n2.process.management.api.QualifiedProcessName processQName,
                                          java.lang.String operationName,
                                          com.tibco.n2.process.management.api.CreateProcessInstanceOptions options,
                                          com.tibco.n2.process.management.api.CreateProcessInstanceInputDocument.CreateProcessInstanceInput.ParameterMap parameterMap)
                                   throws java.rmi.RemoteException,
                                          com.tibco.n2.process.management.services.IllegalArgumentFault,
                                          com.tibco.n2.process.management.services.OperationFailedFault

      Throws:
        `java.rmi.RemoteException`
        `com.tibco.n2.process.management.services.IllegalArgumentFault`
        `com.tibco.n2.process.management.services.OperationFailedFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.